MS10-072: Vulnerabilities in SafeHTML Could Allow Information Disclosure (2412048) (remote check)

This script is Copyright (C) 2010-2014 Tenable Network Security, Inc.


Synopsis :

The remote host is affected by multiple cross-site scripting
vulnerabilities.

Description :

The version of SharePoint Services, SharePoint Server installed on
the remote host has multiple cross-site scripting vulnerabilities.

A remote attacker could exploit them by tricking a user into making a
malicious request, resulting in arbitrary script code execution.

See also :

http://technet.microsoft.com/en-us/security/bulletin/MS10-072
http://archives.neohapsis.com/archives/fulldisclosure/2010-08/0179.html

Solution :

Microsoft has released a set of patches for SharePoint Services 3.0 and
SharePoint Server 2007.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)
CVSS Temporal Score : 3.6
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: CGI abuses : XSS

Nessus Plugin ID: 49999 ()

Bugtraq ID: 42467
43703

CVE ID: CVE-2010-3243
CVE-2010-3324